import { select } from 'd3'; 
//import { data } from '/data.js'
// List of words

const myWords = data
// set the dimensions and margins of the graph

const svg = select('svg');
const height = +svg.attr('height');
const width = +svg.attr('width');

const margin = {top: 10, right: 10, bottom: 10, left: 10}
      
// append the svg object to the body of the page
const g = svg.append('g')
  	.attr('transform', `translate(${margin.left},${margin.top})`);

// Constructs a new cloud layout instance. It run an algorithm to find the position of words that suits your requirements
const layout = d3.layout.cloud()
  .size([width, height])
  .words(myWords.map(function(d) { return {text: d}; }))
  .padding(10)
	.rotate(-45)
  .fontSize(60)
  .on("end", draw);
layout.start();

// This function takes the output of 'layout' above and draw the words
// Better not to touch it. To change parameters, play with the 'layout' variable above
function draw(data) {
  const wc = g.append('g')
  	.attr('class','word')
    .attr('transform', `translate(${layout.size()[0] / 2},${layout.size()[1] / 2})`)
    .selectAll("text").data(data)
    .enter().append("text")
  		.style("font-size", function(d) { return d.size + "px"; })
      .attr("transform", function(d) {
        return "translate(" + [d.x, d.y] + ")rotate(" + d.rotate + ")";
      })
      .text(function(d) { return d.text; });
}